* * *

Author Topic: Online Package Manager  (Read 126762 times)

GetMem

  • Hero Member
  • *****
  • Posts: 2327
Re: Online Package Manager
« Reply #975 on: October 02, 2017, 07:41:57 pm »
@wp
Quote
I was just opening OPM from today's Laz trunk / fpc 3.02 and get the error "Cannot download package list. Error messge: 'Connect to packages.lazarus-ide.org:80 failed'. Trying to do the same with Laz 1.8RC4 works correctly.

I did run a few test in three separate computer with Lazarus Trunk/FPC 3.0.2(windows, linux, osx). OPM runs fine. It must be something at your side or perhaps server packages.lazarus-ide.org was down for a short period of time.

Alextp

  • Sr. Member
  • ****
  • Posts: 460
    • UVviewsoft
Re: Online Package Manager
« Reply #976 on: October 06, 2017, 08:35:23 pm »
@GetMem

1. please delete separate ATScrollbar, it is already inside ATButtons package, i deleted separate repo
2. please update your files for packages: ATButtons [files added/deleted], ATSynEdit, ATSynEdit_Ex, ATGauge, EControl
3. please add Python-for-Lazarus
http://wiki.freepascal.org/Using_Python_in_Lazarus_on_Windows/Linux
« Last Edit: October 06, 2017, 08:43:02 pm by Alextp »

GetMem

  • Hero Member
  • *****
  • Posts: 2327
Re: Online Package Manager
« Reply #977 on: October 07, 2017, 11:11:39 am »
@Alextp
Quote
1. please delete separate ATScrollbar, it is already inside ATButtons package, i deleted separate repo
2. please update your files for packages: ATButtons [files added/deleted], ATSynEdit, ATSynEdit_Ex, ATGauge, EControl
3. please add Python-for-Lazarus
http://wiki.freepascal.org/Using_Python_in_Lazarus_on_Windows/Linux

Done.  Now every package is up to date. To preserve consistency and match the version from lpk with the version from the update JSON, please change:
1. "Version" from 1.5.0.0 to 1.1.0.0 here: https://raw.githubusercontent.com/Alexey-T/laz-registry/master/update_ATButtons_ATListbox.json
2. "Version" from 1.0.4.0 to 1.0.0.0 here: https://raw.githubusercontent.com/Alexey-T/laz-registry/master/update_ATGauge.json
3. "Version" from 1.4.0.0 to 1.0.0.0 here: https://raw.githubusercontent.com/Alexey-T/laz-registry/master/update_ATSynEdit.json

If you don't change those values, users will see the "NEW" text, when in fact there is no new version. When you make some changes in the future always update the lpk files inside the zip. Thank you!

wp

  • Hero Member
  • *****
  • Posts: 3805
Re: Online Package Manager
« Reply #978 on: October 07, 2017, 11:18:35 am »
Quote
I was just opening OPM from today's Laz trunk / fpc 3.02 and get the error "Cannot download package list. Error messge: 'Connect to packages.lazarus-ide.org:80 failed'. Trying to do the same with Laz 1.8RC4 works correctly.

I did run a few test in three separate computer with Lazarus Trunk/FPC 3.0.2(windows, linux, osx). OPM runs fine. It must be something at your side or perhaps server packages.lazarus-ide.org was down for a short period of time.
Yes, running fine now.
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10

Alextp

  • Sr. Member
  • ****
  • Posts: 460
    • UVviewsoft
Re: Online Package Manager
« Reply #979 on: October 07, 2017, 11:39:18 am »
Thanks, updated versions.
Wish:
good if you moderate "description" lines (e.g. "Python4Lazarus" better -> "Wrapper for Python engine", and many others).

GetMem

  • Hero Member
  • *****
  • Posts: 2327
Re: Online Package Manager
« Reply #980 on: October 07, 2017, 12:08:54 pm »
@Alextp
Quote
good if you moderate "description" lines (e.g. "Python4Lazarus" better -> "Wrapper for Python engine", and many others).
OPM reads the description from the lpk files(see image). It's the package maintainer job to give a good description. I changed the value for PythonForLazarus.
« Last Edit: October 07, 2017, 12:21:26 pm by GetMem »

avra

  • Hero Member
  • *****
  • Posts: 1123
    • Additional info
Re: Online Package Manager
« Reply #981 on: October 11, 2017, 11:56:56 am »
Download the main repository from here: https://packages.lazarus-ide.org/opm.zip  (182 Mb)
Thank you so much!  :D  8-)
I will download that from home and then try here.  ;)  :-X
I can't make it work. I have started local http server and from browser I can download something like http://localhost/opm.offline/Abbrevia.zip without any problem. Then I have added http://localhost/opm.offline/ as a remote repository and selected it. However now I get error "Cannot download package list. Error message: Unexpected response status code: 404". I did turn off proxy in OPM for this test.
ct2laz - Easily convert components and projects between Lazarus and CodeTyphon

GetMem

  • Hero Member
  • *****
  • Posts: 2327
Re: Online Package Manager
« Reply #982 on: October 11, 2017, 02:12:48 pm »
@avra
Quote
I can't make it work.
This is my mistake, I forgot to include the json file(opm.zip is fixed now).  If you don't want to download the whole zip again, I attach the json. Please extract to the same directory.  Sorry for the inconvenience.

avra

  • Hero Member
  • *****
  • Posts: 1123
    • Additional info
Re: Online Package Manager
« Reply #983 on: October 11, 2017, 03:48:37 pm »
Thanks, OPM can now see packages. I have to report that trying to install CeosMW, ExControls, ExDatabase, ExDesign, JvDesign, UserControl and EvsSimpleGraph can not succeed because those files do not exist in opm.zip. Also OpenGPSX depends on sdposeriallaz so after confirming that I want OPM to resolve this dependency OPM says it can not be found either. If I want to install only single package SDPO manually then nothing happens - not even an error. Like Install is a dead button. When I select some other package it works. All on WinXP SP3.
« Last Edit: October 11, 2017, 03:50:09 pm by avra »
ct2laz - Easily convert components and projects between Lazarus and CodeTyphon

GetMem

  • Hero Member
  • *****
  • Posts: 2327
Re: Online Package Manager
« Reply #984 on: October 11, 2017, 04:02:46 pm »
Those are the exact packages that I added a a few days ago(oct 10), if you downloaded the opm.zip before, then you should download it again. After all it's not too big: 200 Mb, of course this depends on your internet speed.
« Last Edit: October 11, 2017, 04:09:51 pm by GetMem »

Alextp

  • Sr. Member
  • ****
  • Posts: 460
    • UVviewsoft
Re: Online Package Manager
« Reply #985 on: October 12, 2017, 09:21:59 am »
- ExControls - desc it short like "Visual controls". can you list all controls in desc?
- ExDesign  - typo and also can you list all?

Alextp

  • Sr. Member
  • ****
  • Posts: 460
    • UVviewsoft
Re: Online Package Manager
« Reply #986 on: October 12, 2017, 09:33:00 am »
New icons [bmp and lrs files] not shown in IDE for: ATButtons [class ATButtonsToolbar] and ATTabs.

wp

  • Hero Member
  • *****
  • Posts: 3805
Re: Online Package Manager
« Reply #987 on: October 12, 2017, 10:55:15 am »
- ExControls - desc it short like "Visual controls". can you list all controls in desc?
- ExDesign  - typo and also can you list all?
I think it is not ok that a package installation system modifies the provided packages in any way. I can understand that the description of many packages is very minimalistic or even non-existent, but it is not GetMem's job to fix this. If you want something to be changed then contact the package author.
Lazarus trunk / fpc 3.0.4 / all 32-bit on Win-10

Alextp

  • Sr. Member
  • ****
  • Posts: 460
    • UVviewsoft
Re: Online Package Manager
« Reply #988 on: October 12, 2017, 01:40:44 pm »
And IMO: opkman should moderate these descriptions.

Bug report.
Linux x64 gtk2 [Ubuntu 16]. Confirm message "do you want to restart IDE" shows below OPM dialog. It's not visible until i alt-tab to IDE.

cpicanco

  • Sr. Member
  • ****
  • Posts: 404
    • My Portfolio
Re: Online Package Manager
« Reply #989 on: October 12, 2017, 11:34:01 pm »
Can we use OPM as a "library" to build autoupdate functionality to a program?

 

Recent

Get Lazarus at SourceForge.net. Fast, secure and Free Open Source software downloads Open Hub project report for Lazarus